%define name berry-tools
%define version 0.5
%define release b1

Name:		%{name}
Summary:	Tools for Berry OS
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Tools
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}
Requires:	Xdialog
BuildArchitectures: noarch

%description
System tools for Berry OS.

%prep
%setup -q

%build
%install
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}/opt/berry
install -m 755 -d %{buildroot}/usr/share/applications

install -m 755 htmlview-*/htmlview %{buildroot}/usr/bin/
install -m 755 htmlview-*/launchmail %{buildroot}/usr/bin/
install -m 755 htmlview-*/console %{buildroot}/usr/bin/
install -m 755 htmlview-*/player %{buildroot}/usr/bin/
install -m 755 htmlview-*/fm %{buildroot}/usr/bin/
install -m 644 htmlview-*/*.desktop %{buildroot}/usr/share/applications

install -m 755 kbdconfig-*/kbdconfig %{buildroot}/opt/berry/
install -m 644 kbdconfig-*/*.desktop %{buildroot}/usr/share/applications

install -m 755 mouseconfig-*/mouseconfig %{buildroot}/opt/berry/
install -m 644 mouseconfig-*/*.desktop %{buildroot}/usr/share/applications

install -m 755 netconfig-*/netconfig %{buildroot}/opt/berry/
install -m 644 netconfig-*/*.desktop %{buildroot}/usr/share/applications

install -m 755 saveconfig-*/saveconfig.sh %{buildroot}/opt/berry/saveconfig
install -m 644 saveconfig-*/*.desktop %{buildroot}/usr/share/applications

install -m 755 wlanconfig-*/wlanconfig %{buildroot}/opt/berry/
install -m 644 wlanconfig-*/*.desktop %{buildroot}/usr/share/applications

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr (-,root,root)
/usr/bin/*
/opt/berry/*
/usr/share/applications/*.desktop

%changelog
* Thu Nov 29 2007 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
